Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156570 - missing functionality; can't shoot others
Summary: missing functionality; can't shoot others
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bzflag
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-01 22:30 UTC by mark gress
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-08 12:46:35 UTC


Attachments (Terms of Use)

Description mark gress 2005-05-01 22:30:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The program launches and logs into servers just fine, but I cannot shoot other people(tanks) including those on the same team.  After trying several different settings(mainly in video) it just doesn't happen.

Here's what does work.  I can shoot myself.  When asking other players, they do not see my shots so a "self kill" seems to come out of nowhere.

The game will randomly lock up....  it seems mostly tied to oscillation overthruster flag but not limited to this.

Version-Release number of selected component (if applicable):
bzflag 2.0.2

How reproducible:
Always

Steps to Reproduce:
1. Launch game
2. Log into server
3. Shots are represented on screen, but nobody else sees them
  

Actual Results:  Unable to kill others

Additional info:

I wish I could......  making this bug easier to troubleshoot.

Hardware is Athlon 2200+, 512MB DDR, ATI Fire GL 8800 using the open source/DRI/mesa/etc drivers, NF7-S motherboard using whatever drivers are on disks.(no nVidia drivers)

Comment 1 Alan Cox 2005-08-08 12:46:35 UTC
FC4 final dropped bzflag so closing



Note You need to log in before you can comment on or make changes to this bug.